Bug 96590 - XORG 1.18.3 black screen at boot
Summary: XORG 1.18.3 black screen at boot
Status: CLOSED INVALID
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
: 96589 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-19 11:42 UTC by armando.dabbene
Modified: 2017-07-07 18:39 UTC (History)
1 user (show)

See Also:
i915 platform: BSW/CHT
i915 features: display/HDMI


Attachments
Kernel log (40.46 KB, text/plain)
2017-04-24 14:44 UTC, armando.dabbene
no flags Details
New log (40.32 KB, text/plain)
2017-05-01 10:04 UTC, armando.dabbene
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description armando.dabbene 2016-06-19 11:42:06 UTC
I'm experiencing black screen at boot with my setup
Asrock beebox (but problem occurs also with a chromebox) connected to denon Avr
(Tried also to force custom edid and xorg.conf)

Here my logs


First switch on of beebox = black screen

LibreELEC:~ # journalctl -a | pastebinit

http://sprunge.us/UcXE

LibreELEC:~ # cat /var/log/Xorg.0.log | pastebinit

http://sprunge.us/GbSD


So i tried 3 reboot...no luck

Power off and again on and kodi load correctly

Here the log

# journalctl -a | pastebinit

http://sprunge.us/MQHa

cat /var/log/Xorg.0.log | pastebinit

http://sprunge.us/ghbM
Comment 1 Alan Coopersmith 2016-06-19 14:12:29 UTC
*** Bug 96589 has been marked as a duplicate of this bug. ***
Comment 2 Chris Wilson 2016-06-20 07:33:33 UTC
So the HDMI wasn't detected at boot and kodi failed to respond to the hotplug notify.
Comment 3 armando.dabbene 2016-06-20 09:17:00 UTC
Seems (i hope) that with a developer suggestion i finally solved 

Edited (custom edid load)

drm_kms_helper.edid_firmware=HDMI-A-1:edid/edid.bin

to

drm_kms_helper.edid_firmware=HDMI-A-1:edid/edid.bin video=HDMI-A-1:1920x1080@50D



Now In the log (http://sprunge.us/ccLH) there is still 

LibreELEC kernel: had: snd_intelhad_open: HDMI cable plugged-out

but now even if i don't see os logo loading (libreelec and kodi) after ten seconds of black screen kodi gui is loaded correctly
Comment 4 Jari Tahvanainen 2017-03-09 11:36:05 UTC
Armando - sorry about this delay for response. You said that this issue is now resolved so can you mark this as resolved as fixed?
Chris - say no with reasoning if this should not be closed.
Comment 5 armando.dabbene 2017-03-09 11:46:09 UTC
No i was in too much optimistic, almost for me and for few others collected on libreelec forum problems happen again

also with kernel 4.10.1 

sometimes i need almost 3/4 restart to get kodi loaded correctly even if avr receiver is switched on


maybe is driver related cause i also have always sometimes black screen at movie stop
Comment 6 Ricardo 2017-03-09 16:03:25 UTC
Armando sending the logs is helpful, please provide more information
Comment 7 armando.dabbene 2017-03-09 18:59:18 UTC
As You kindly request

LibreELEC:~ # cat /storage/.kodi/temp/kodi.log | pastebinit
http://sprunge.us/KOVL
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ # dmesg | pastebinit
http://sprunge.us/RQAS
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ # journalctl -a | pastebinit
http://sprunge.us/QDUC
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ # cat /var/log/Xorg.0.log | pastebinit
http://sprunge.us/HQUT
LibreELEC:~ #
Comment 8 armando.dabbene 2017-03-09 19:00:50 UTC
And these are logs of Black screen at movie stop

LibreELEC (community) Version: devel-20170308210406-#0308-g4ba2169
LibreELEC git: 4ba216933a3956fcc918136bb17a412b21a3b7a5
LibreELEC:~ # cat /storage/.kodi/temp/kodi.log | pastebinit
http://sprunge.us/ceGf
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ # dmesg | pastebinit
http://sprunge.us/SPJM
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ # journalctl -a | pastebinit
http://sprunge.us/KiiU
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ #
LibreELEC:~ # cat /var/log/Xorg.0.log | pastebinit
Comment 9 Jari Tahvanainen 2017-04-20 09:18:55 UTC
Armando - thank you really much for this additional data and sorry again for this small delay. Would it be possible to generate dmesg logs with kernel command line having drm.debug=0x1e log_buf_len=1M ? With this we will get more detailed data from the kernel side, which hopefully gives us that "needle in a haystack". We also prefer that you add logs as attachments - not as links to external sites. See https://01.org/linuxgraphics/documentation/how-report-bugs for more info.
Comment 10 armando.dabbene 2017-04-24 14:44:56 UTC
Created attachment 130999 [details]
Kernel log

Kernel log captured in Black screen issue
Comment 11 armando.dabbene 2017-04-24 14:47:21 UTC
Sorry for my delay, please find attached kernel log request



Hope it's correct!

Thank You!!!
Comment 12 armando.dabbene 2017-04-24 14:47:30 UTC
Sorry for my delay, please find attached kernel log request



Hope it's correct!

Thank You!!!
Comment 13 armando.dabbene 2017-05-01 10:04:08 UTC
Created attachment 131168 [details]
New log
Comment 14 armando.dabbene 2017-05-01 10:08:16 UTC
Added new log with kernel updated, maybe next day Will try with kernel 4.11

Are they useful for You ?
Comment 15 armando.dabbene 2017-05-21 21:26:24 UTC
Tried also 4.11.1 bust same problem (;
Comment 16 Ville Syrjala 2017-05-27 17:41:35 UTC
(In reply to armando.dabbene from comment #13)
> Created attachment 131168 [details]
> New log

You must pass drm.debug etc. to the kernel command line, not to dmesg.
Comment 17 armando.dabbene 2017-06-01 11:19:50 UTC
Ops Sorry , i read instruction but i don't have skill to append a line to kernel

I Will Ask help on kodi forum
Comment 18 Ricardo 2017-07-07 18:38:58 UTC
Closing bug as invalid due to inactivity, please if the problem appears again with latest configuration please open a new bug


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.